Name:           spice-gtk
Version:        0.38
Release:        3
Summary:        A GIMP Toolkit (GTK+) widget for SPICE clients
License:        LGPLv2+
URL:            https://www.spice-space.org/spice-gtk.html
Source0:        https://www.spice-space.org/download/gtk/%{name}-%{version}.tar.xz
Patch0000:      fix-finding-pyparsing.patch
BuildRequires:  git-core meson intltool usbredir-devel >= 0.7.1 libusb1-devel >= 1.0.21 pixman-devel libjpeg-turbo-devel
BuildRequires:  opus-devel zlib-devel cyrus-sasl-devel libcacard-devel gobject-introspection-devel libacl-devel polkit-devel
BuildRequires:  gtk-doc vala usbutils libsoup-devel >= 2.49.91 libphodav-devel lz4-devel gtk3-devel json-glib-devel
BuildRequires:  spice-protocol >= 0.14.1 gstreamer1-devel >= 1.10 gstreamer1-plugins-base-devel >= 1.10 openssl-devel python3-pyparsing
Requires:       spice-gtk3-devel = %{version}-%{release}
Provides:       spice-glib = %{version}-%{release} spice-gtk3 = %{version}-%{release}
Provides:       spice-gtk3-vala = %{version}-%{release} spice-gtk-tools = %{version}-%{release}
Obsoletes:      spice-gtk-python < 0.32 spice-glib < %{version}-%{release} spice-gtk3 < %{version}-%{release}
Obsoletes:      spice-gtk3-vala < %{version}-%{release} spice-gtk-tools < %{version}-%{release}


%description
The spice-gtk packages provide a GIMP Toolkit (GTK+) widget for SPICE (Simple
Protocol for Independent Computing Environments) clients. Both Virtual Machine
Manager and Virtual Machine Viewer can make use of this widget to access virtual
machines using the SPICE protocol.

%package        devel
Summary:        Development files for spice-gtk
Requires:       spice-glib = %{version}-%{release} spice-gtk3 = %{version}-%{release} pkgconfig glib2-devel
Provides:       spice-glib-devel = %{version}-%{release} spice-gtk3-devel = %{version}-%{release}
Obsoletes:      spice-glib-devel < %{version}-%{release} spice-gtk3-devel < %{version}-%{release} spice-gtk-devel < 0.32

%description    devel
The spice-gtk-devel package includes header files and libraries necessary
for the spice-gtk library.

%package        help
Summary:        This package contains help documents
Requires:       %{name} = %{version}-%{release}

%description    help
Files for help with spice-gtk.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%global mjpegflag -Dbuiltin-mjpeg=false
%global celt051flag -Dcelt051=disabled
%global pulseflag -Dpulse=disabled

%meson \
  %{mjpegflag} \
  %{celt051flag} \
  %{pulseflag} \
  -Dusb-acl-helper-dir=%{_libexecdir}/spice-gtk-%{_arch}/

%meson_build

%check
%meson_test

%install
%meson_install
%find_lang %{name}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %{name}.lang
%doc COPYING
%{_libdir}/libspice-client-*.so.*
%{_libdir}/girepository-1.0/SpiceClient*.typelib
%attr(4755, root, root) %{_libexecdir}/spice-gtk-%{_arch}/spice-client-glib-usb-acl-helper
%{_datadir}/polkit-1/actions/*
%{_datadir}/vala/vapi/*
%{_bindir}/*

%files devel
%{_libdir}/libspice-client-*.0.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_datadir}/gir-1.0/*

%files help
%doc AUTHORS README.md CHANGELOG.md
%doc %{_datadir}/gtk-doc/html/*
%{_mandir}/man1/spice-client.1*

%changelog
* Tue Feb 08 2022 caodongxia<caodongxia@huawei.com> - 0.38-3
- Fix python module pyparsing not found due to pyparsing update

* Sat Aug 07 2021 caodongxia<caodongxia@huawei.com> - 0.38-2
- Fix python module pyparsing not found

* Mon Aug 03 2020 lingsheng<lingsheng@huawei.com> - 0.38-1
- Update to 0.38

* Mon Nov 25 2019 gulining<gulining1@huawei.com> - 0.35-4
- Pakcage init
